zabbix_export:
  version: '7.0'
  template_groups:
    - uuid: a785b281f051422786b5e9907747a20f
      name: Templates/Test
  templates:
    - uuid: 2802886c34ba44aebb65c14f77a623c2
      template: 'Template First'
      name: 'Template First'
      groups:
        - name: Templates/Test
      discovery_rules:
        - uuid: dedb8f04e2ce4bc8b90e4beadab9a2e9
          name: 'Network interfaces'
          type: SNMP_AGENT
          snmp_oid: 'discovery[{#IFOPERSTATUS},1.3.6.1.2.1.2.2.1.8]'
          key: net.if.discovery
          delay: 1h
          filter:
            conditions:
              - macro: '{#IFOPERSTATUS}'
                value: '{$VAL.IGNORE.REGEX}'
                operator: NOT_MATCHES_REGEX
                formulaid: A
          enabled_lifetime_type: DISABLE_NEVER
          description: 'Discovering interfaces from IF-MIB.'
          item_prototypes:
            - uuid: 20c7dba979ce4d2ba80986a4893c0a71
              name: 'Interface {#SNMPINDEX}: Operational status'
              type: SNMP_AGENT
              snmp_oid: '1.3.6.1.2.1.2.2.1.8.{#SNMPINDEX}'
              key: 'net.if.status[ifOperStatus.{#SNMPINDEX}]'
              trends: '0'
              description: |
                MIB: IF-MIB
                The current operational state of the interface.
                - The testing(3) state indicates that no operational packet scan be passed
                - If ifAdminStatus is down(2) then ifOperStatus should be down(2)
                - If ifAdminStatus is changed to up(1) then ifOperStatus should change to up(1) if the interface is ready to transmit and receive network traffic
                - It should change todormant(5) if the interface is waiting for external actions (such as a serial line waiting for an incoming connection)
                - It should remain in the down(2) state if and only if there is a fault that prevents it from going to the up(1) state
                - It should remain in the notPresent(6) state if the interface has missing(typically, hardware) components.
      macros:
        - macro: '{$VAL.IGNORE.REGEX}'
          value: ^never-ignore$
